Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util.ajax
Interface JSON.Convertible

Enclosing class:
  JSON

    public static interface JSON.Convertible

JSON Convertible object. Object can implement this interface in a similar way to the `Externalizable` interface is used to allow classes to provide their own serialization mechanism.

A JSON.Convertible object may be written to a JSONObject or initialized from a Map of field names to values.

If the JSON is to be convertible back to an Object, then the method `JSON.Output.addClass(Class)` must be called from within toJSON()

Method Summary
`void` | `fromJSON(java.util.Map object)`
`void` | `toJSON(JSON.Output out)`

Method Detail

### toJSON

    void toJSON(JSON.Output out)

### fromJSON

    void fromJSON(java.util.Map object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.